Package Details: powerpc64-linux-gnu-linux-api-headers 5.1-1

Git Clone URL: https://aur.archlinux.org/powerpc64-linux-gnu-linux-api-headers.git (read-only)
Package Base: powerpc64-linux-gnu-linux-api-headers
Description: Kernel headers sanitized for use in userspace (powerpc64-linux-gnu)
Upstream URL: http://www.gnu.org/software/libc
Licenses: GPL2
Submitter: thrimbor
Maintainer: thrimbor
Last Packager: thrimbor
Votes: 0
Popularity: 0.000000
First Submitted: 2018-08-09 14:14
Last Updated: 2019-06-24 02:07

Latest Comments

el_se3dy commented on 2019-04-26 14:57

This doesn't seem to work at all so I used the same package available here https://archlinuxpower.org/cross-compilers/

I don't understand why powerpc64 is not allowed but powerpc is fine.. Something is off, but the package on archlinuxpower.org works just fine and satisfies the dependency for the cross compiler.

dmjordan commented on 2018-09-29 02:03

On the way to installing powerpc64-linux-gnu-gcc, I got this when building this package:

==> Starting build()... Makefile:638: arch/powerpc64/Makefile: No such file or directory make: *** No rule to make target 'arch/powerpc64/Makefile'. Stop. ==> ERROR: A failure occurred in build(). Aborting... ==> ERROR: Makepkg was unable to build powerpc64-linux-gnu-linux-api-headers.

The PKGBUILD uses ARCH=$_target_arch, i.e. ARCH=powerpc64, but Linux has no such arch, so shouldn't it be ARCH=powerpc? The build worked for me when doing this. I also threw in CROSS_COMPILE=powerpc64-linux-gnu- to each of the make commands.